petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESANDERSON

Anderson Mixing method.

### Options Database

| -snes_anderson_m | - Number of stored previous solutions and residuals
| -snes_anderson_beta | - Anderson mixing parameter
| -snes_anderson_restart_type | - Type of restart (see SNESNGMRES)
| -snes_anderson_restart_it | - Number of iterations of restart conditions before restart
| -snes_anderson_restart | - Number of iterations before periodic restart
| -snes_anderson_monitor | - Prints relevant information about the ngmres iteration

### Notes

The Anderson Mixing method combines m previous solutions into a minimum-residual solution by solving a small linearized optimization problem at each iteration.

Very similar to the SNESNGMRES algorithm.

### References

| 1. | - D. G. Anderson. Iterative procedures for nonlinear integral equations. J. Assoc. Comput. Mach., 12, 1965."
| 2. | - Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu,"Composing Scalable Nonlinear Algebraic Solvers", SIAM Review, 57(4), 2015

### See Also

SNESNGMRES, SNESCreate(), SNES, SNESSetType(), SNESType (for list of available types)

### Level

beginner

### Location

src/snes/impls/ngmres/anderson.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages